<!DOCTYPE html>
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:th='http://www.thymeleaf.org'>
<head>
    <title>InvoiceItem</title>

    <style>
        .error {
            color: red;
        }
    </style>
</head>
<body>
<h3 class="error" th:if='${error}' th:text='${error}'></h3>
<div th:unless='${error}'>
    <h2>Customer: <span th:text='${customer}' /></h2>
    <div style="margin-top: 20px">
        <h2>InvoiceItems</h2>
        <form action="#" th:action="@{/invoiceitem}" th:object="${invoiceItemCreate}" method="post">
           <div>
                <label for="amount">Amount (in pennies)</label>
                <input type="text" th:value="0" th:field="*{amount}" id="amount" placeholder="Amount">
                <span class="error" th:if="${#fields.hasErrors('amount')}" th:errors="*{amount}"></span>
           </div>
            <div style="margin-top: 20px">
                <label for="description">Description</label>
                <input type="text" th:field="*{description}" id="description" placeholder="Description">
                <span class="error" th:if="${#fields.hasErrors('description')}" th:errors="*{description}"></span>
            </div>
            <div style="margin-top: 20px">
                <input type="submit" value="Add invoice item">
            </div>
        </form>

        <form action="#" th:action="@{/invoice}" method="post">
            <div style="margin-top: 20px">
                <input type="submit" value="Create invoice">
            </div>
        </form>

        <div th:if="${invoiceItems}">
            <table>
                <thead>
                <tr>
                    <th>id</th>
                    <th>customer</th>
                    <th>amount</th>
                    <th>description</th>
                    <th>invoiceId</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="invoiceItem : ${invoiceItems}">
                    <td th:text="${invoiceItem.id}"></td>
                    <td th:text="${invoiceItem.customer}"></td>
                    <td th:text="${invoiceItem.amount * 0.01}"></td>
                    <td th:text="${invoiceItem.description}"></td>
                    <td><a th:if="${invoiceItem.invoiceId}" th:href="@{/invoice?id={id}(id=${invoiceItem.invoiceId})}" th:text="${invoiceItem.invoiceId}"></a></td>
                </tr>
                </tbody>
            </table>

            <form action="#" th:action="@{/invoices}" method="get">
                <div style="margin-top: 20px">
                    <input type="submit" value="Show invoices">
                </div>
            </form>

        </div>
    </div>
</div>
</body>
</html>